Update the creator's link-in-bio page
PATCH
/link-in-bioUpdates supplied page fields and adds or edits supplied blocks. Existing blocks use id; new blocks require client_id. Fields and blocks omitted from the request are unchanged. This endpoint does not delete blocks or upload image or video blocks.
Authorization
ApiKey AuthorizationBearer <token>
Public API key from creator or agency settings. The complete secret is shown once.
In: header
Header Parameters
Idempotency-Key*string
Unique value up to 128 characters. Matching requests are replayed for 24 hours.
Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Properties
1 <= propertiesResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/link-in-bio" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "meta": {}, "request_id": "string", "data": { "id": "string", "creator_id": "string", "slug": "string", "username": "string", "location": "string", "bio": "string", "section_title": "string", "text_block": "string", "avatar_url": "http://example.com", "theme": "classic", "shape": "rounded", "social_links": [ { "platform": "string", "url": "http://example.com" } ], "blocks": [ { "id": "string", "client_id": "string", "type": "link", "title": "string", "url": "http://example.com", "body": "string", "button_text": "string", "visible": true, "order": 0, "style": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "editor_url": "http://example.com", "share_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}